<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" 
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yonge.cooleshow.biz.dal.dao.VideoLessonStudyRecordDao">

	<resultMap id="BaseResultMap" type="com.yonge.cooleshow.biz.dal.entity.VideoLessonStudyRecord">
	     <id column="id_" jdbcType="BIGINT" property="id" />
		 <result column="video_lesson_group_id_" jdbcType="BIGINT" property="videoLessonGroupId" />
		 <result column="video_id_" jdbcType="BIGINT" property="videoId" />
		 <result column="student_id_" jdbcType="BIGINT" property="studentId" />
		 <result column="finish_flag_" jdbcType="TINYINT" property="finishFlag" />
		 <result column="start_time_" jdbcType="TIMESTAMP" property="startTime" />
		 <result column="finish_time_" jdbcType="TIMESTAMP" property="finishTime" />
	</resultMap>

	<sql id="Base_Column_List">
		id_, video_lesson_group_id_, video_id_, student_id_, finish_flag_, start_time_, finish_time_
	</sql>



</mapper>